Subject: bug#28814: [BUMP, PATCH] (26.0.90; When *xref* window is needed, original window-switching intent is lost )

From: João Távora <[email-masked]>
Date: Thu, 2 Nov 2017 17:03:18 +0000

Ping. This was very close to wrapping up and so I wonder if you
had a chance to look at the patches...

I hope my rant isn't putting you off, because it's just that, an
opinion, a data point. I did fix all the parts according to your comments,
I believe.

It's only the last patch with the doc changes that changed significantly
since the last time you looked.

João

On Sat, Oct 28, 2017 at 8:19 PM, João Távora <[email-masked]> wrote:

> Eli Zaretskii <[email-masked]> writes:
>
> >> From: [email-masked] (João Távora)
> >> Cc: [email-masked],  [email-masked]
> >> Date: Fri, 27 Oct 2017 00:59:28 +0100
> >>
> >> - In node "Looking up identifiers" there are is a repeated explanation
> >> of what motivates a *xref* buffer (lines 1831 and 1863). I think its
> >> clearer if this only happens once, so I merged the two.
> >
> > People who use the manual as a reference seldom read the entire node.
> > Instead, they read the description of the single subject they were
>
> I think nodes are read from top to bottom, especially if they are short,
> and this is a good thing.  It's a small miracle the manual is so good
> since it is a giant patchwork of many different writers.  Nevertheless
> it suffers from inconsistent style.  I think repetition is very often a
> symptom of bad style.  And I think style isn't some abstract and
> innocuous thing, it's a carrier for content and carries content in
> itself.  And I think this even more of prose than of code.
>
> So here ends my minirant :-) and I hope I fixed everything in these
> patches.
>
> João
>
>

-- 
João Távora